<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE module-description PUBLIC "-//StarOffice//DTD ComponentDescription 1.0//EN" "module-description.dtd">
<module-description xmlns:xlink="http://www.w3.org/1999/xlink">
    <module-name>i18n</module-name>
    <component-description>
        <author>Juergen Pingel</author>
        <name>com.sun.star.i18n.IndexEntrySupplier</name>
        <description>
    Supplier for creating index entries in a table of alphabetical index
    </description>
        <loader-name>com.sun.star.loader.SharedLibrary</loader-name>
        <language>	C++	</language>
        <status value="final"/>
        <supported-service>com.sun.star.i18n.IndexEntrySupplier</supported-service>
        <reference-docu xlink:href="file:///docs/sampledoc.html" xlink:type="simple"/>
        <type>com.sun.star.i18n.XExtendedIndexEntrySupplier</type>
        <type>com.sun.star.i18n.XIndexEntrySupplier</type>
        <type>com.sun.star.lang.Locale</type>
        <type>com.sun.star.lang.XMultiServiceFactory</type>
        <type>com.sun.star.lang.XTypeProvider</type>
        <type>com.sun.star.uno.Any</type>
        <type>com.sun.star.uno.Exception</type>
        <type>com.sun.star.uno.genfunc</type>
        <type>com.sun.star.uno.Reference</type>
        <type>com.sun.star.uno.RuntimeException</type>
        <type>com.sun.star.uno.Sequence</type>
        <type>com.sun.star.uno.TypeClass</type>
        <type>com.sun.star.uno.Type</type>
        <type>com.sun.star.uno.XAdapter</type>
        <type>com.sun.star.uno.XAggregation</type>
        <type>com.sun.star.uno.XInterface</type>
        <type>com.sun.star.uno.XReference</type>
        <type>com.sun.star.uno.XWeak</type>
    </component-description>
    <project-build-dependency>comphelper</project-build-dependency>
    <project-build-dependency>cppu</project-build-dependency>
    <project-build-dependency>cppuhelper</project-build-dependency>
    <project-build-dependency>osl</project-build-dependency>
    <project-build-dependency>rtl</project-build-dependency>
    <project-build-dependency>sal</project-build-dependency>
    <project-build-dependency>stl</project-build-dependency>
    <project-build-dependency>typelib</project-build-dependency>
    <project-build-dependency>uno</project-build-dependency>
    <runtime-module-dependency>comphelper</runtime-module-dependency>
    <runtime-module-dependency>cppu</runtime-module-dependency>
    <runtime-module-dependency>cppuhelper</runtime-module-dependency>
    <runtime-module-dependency>osl</runtime-module-dependency>
    <runtime-module-dependency>rtl</runtime-module-dependency>
    <runtime-module-dependency>sal</runtime-module-dependency>
    <runtime-module-dependency>stl</runtime-module-dependency>
    <runtime-module-dependency>typelib</runtime-module-dependency>
    <runtime-module-dependency>uno</runtime-module-dependency>
</module-description>
